#13 Export schematic to SVG or raster image and bugfix for qucs-library

Unstable_(example)
closed
Frans
5
2014-05-17
2013-12-21
No

Realised Feature Request #13 https://sourceforge.net/p/qucs/feature-requests/13/.

Diagram export to images from patch #12 was extended to entire schematic. Now not only diagrams can be exported to raster or vector images. By clicking on "Export as image" item in File menu you can export entire current schematic or display page to PNG, JPG or SVG format. By right click menu in diagrams you can export diagram only. It's able to export only selcted area of schematic. Resulting image can be monochrome or coloured.

Also this patch contains bugfix for qucs-library. Component description in right area of window updates only by clicking on component in component list. If you select component by pressing Up and Down keys on keyboard component description not updates. Now component description updates if selected component is changed in result of any action, including pressing Up and Down keys on keyboard.

Please see pull request #28 at github.com https://github.com/fransschreuder/qucs/pull/28

Related

Patches: #13

Discussion

  • Vadim Kusnetsov

    Vadim Kusnetsov - 2013-12-23

    What do you think about to add to Qucs schematic export to PDF and PDF+LaTeX formats? I can realise this feature using inkscape without GUI running from Qucs.

     
  • Vadim Kusnetsov

    Vadim Kusnetsov - 2013-12-25

    Added new filenames exportdialog.cpp and exportdialog.h to CMakeLists.txt and Makefile.am and removed old filenames exportdiagramdialog.cpp and exportdiagramdialog.h.See pull request #29 at github.com

     
    Last edit: Vadim Kusnetsov 2013-12-25
  • Vadim Kusnetsov

    Vadim Kusnetsov - 2014-01-09

    Happy New Year and Merry Christmas!

    Is my pull request #29 at github.com accepted or rejected? I fix old filenames in CMakeLists in this pull request?

    And what do you think about to add EPS, PDF and PDF+LaTeX export ability for diagrams and schematics? I use Qucs for simulation performing in my PhD research, and I thik this feature may be useful, beecause I often need to past simulation resuts in my reports and articles. I use LaTeX for my papers writing.

     
    • MikeBrinson

      MikeBrinson - 2014-01-09

      Hello Vadim

      For document preparation adding EPS, PDF and PDF+LaTex export for diagrams and schematics would make
      work on papers etc more straightforward.  If you can find the time for this work please action it as soon as possible.

      Best wishes.

      Mike

      Mike Brinson

      mbrin72043@yahoo.co.uk

      On Thursday, 9 January 2014, 12:04, Vadim Kusnetsov ra3xdh@users.sf.net wrote:

      Happy New Year and Merry Christmas!
      Is my pull request #29 at github.com accepted or rejected? I fix old filenames in CMakeLists in this pull request?
      And what do you think about to add EPS, PDF and PDF+LaTeX export ability for diagrams and schematics? I use Qucs for simulation performing in my PhD research, and I thik this feature may be useful, beecause I often need to past simulation resuts in my reports and articles. I use LaTeX for my papers writing.


      [patches:#13] Export schematic to SVG or raster image and bugfix for qucs-library
      Status: open
      Labels: qucs qucs-lib
      Created: Sat Dec 21, 2013 11:28 AM UTC by Vadim Kusnetsov
      Last Updated: Wed Dec 25, 2013 07:11 AM UTC

      Owner: Frans
      Realised Feature Request #13 https://sourceforge.net/p/qucs/feature-requests/13/.
      Diagram export to images from patch #12 was extended to entire schematic. Now not only diagrams can be exported to raster or vector images. By clicking on "Export as image" item in File menu you can export entire current schematic or display page to PNG, JPG or SVG format. By right click menu in diagrams you can export diagram only. It's able to export only selcted area of schematic. Resulting image can be monochrome or coloured.
      Also this patch contains bugfix for qucs-library. Component description in right area of window updates only by clicking on component in component list. If you select component by pressing Up and Down keys on keyboard component description not updates. Now component description updates if selected component is changed in result of any action, including pressing Up and Down keys on keyboard.
      Please see pull request #28 at github.com https://github.com/fransschreuder/qucs/pull/28


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/qucs/patches/13/
      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #13

  • Frans

    Frans - 2014-01-09

    Dear Vadim, Happy new year to you to!

    29 was already fixed before you sent the pull request, however not on github. I have pushed the changes to github as well, this makes the pull request obsolete.

    Thanks anyway!

     
  • Vadim Kusnetsov

    Vadim Kusnetsov - 2014-01-11

    Export to PDF, EPS, PDF+LaTeX formats is implemented now. Also added russian translations for my ExportDialog. See pull request #30 at github.com, please.

     
  • Vadim Kusnetsov

    Vadim Kusnetsov - 2014-01-14

    Small bugfix for exportdialog.cpp. Result image format is now auto determined always correctly by extension. See pull request #31 at github.com for details, please.

     
  • Guilherme

    Guilherme - 2014-05-17
    • status: open --> closed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks